For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
GuidesAPI ReferenceChangelogModel Versioning
GuidesAPI ReferenceChangelogModel Versioning
    • Getting Started
    • Authentication
    • API Versioning
    • SDKs
    • Deployments
    • Error Codes
    • Async Processing
  • Endpoints
      • POSTCreate Evaluation Set
      • GETGet Evaluation Set
      • GETList Evaluation Sets
      • POSTCreate Evaluation Set Items
      • GETGet Evaluation Set Item
      • POSTUpdate Evaluation Set Item
      • DELDelete Evaluation Set Item
      • GETList Evaluation Set Items
      • POSTCreate Evaluation Set Run
      • GETGet Evaluation Set Run
  • Webhook Events
LogoLogo
EndpointsEvaluation

Get Evaluation Set Item

GET
/evaluation_sets/:evaluationSetId/items/:itemId
GET
/evaluation_sets/:evaluationSetId/items/:itemId
1import { ExtendClient } from "extend-ai";
2
3const client = new ExtendClient({ token: "YOUR_TOKEN" });
4await client.evaluationSetItems.retrieve("evaluation_set_id_here", "evaluation_set_item_id_here");
1{
2 "object": "evaluation_set_item",
3 "id": "evi_kR9mNP12Qw4yTv8BdR3H",
4 "evaluationSetId": "ev_2LcgeY_mp2T5yPaEuq5Lw",
5 "file": {
6 "object": "file",
7 "id": "file_xK9mLPqRtN3vS8wF5hB2cQ",
8 "name": "Invoices.pdf",
9 "type": "PDF",
10 "parentFileId": "file_Zk9mNP12Qw4yTv8BdR3H",
11 "metadata": {
12 "pageCount": 30,
13 "parentSplit": {
14 "id": "string",
15 "type": "Invoice",
16 "identifier": "other_2_9",
17 "startPage": 1,
18 "endPage": 10
19 }
20 },
21 "createdAt": "2024-03-21T16:45:00Z",
22 "updatedAt": "2024-03-21T16:45:00Z"
23 },
24 "expectedOutput": {
25 "value": {}
26 }
27}
Get details of an evaluation set item.
Was this page helpful?
Previous

Update Evaluation Set Item

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

evaluationSetIdstringRequired

The ID of the evaluation set.

Example: "ev_2LcgeY_mp2T5yPaEuq5Lw"

itemIdstringRequired

The ID of the evaluation set item.

Example: "evi_kR9mNP12Qw4yTv8BdR3H"

Headers

x-extend-api-version"2026-02-09"Optional
API version to use for the request. If you're using an SDK, you can ignore this parameter. If you are not using an SDK and do not specify a version, you will either receive a `400 Bad Request` or be set to a previous legacy version. See [API Versioning](https://docs.extend.ai/2026-02-09/developers/api-versioning) for more details.
x-extend-workspace-idstringOptional
The workspace ID to target. **Required** when using an organization-scoped API key; optional for workspace-scoped keys (the key is already tied to a workspace). See [Authentication](https://docs.extend.ai/2026-02-09/developers/authentication) for details on API key scopes.

Response

Evaluation set item details
objectenum

The type of object. In this case, it will always be "evaluation_set_item".

Allowed values:
idstring

The ID of the evaluation set item.

Example: "evi_kR9mNP12Qw4yTv8BdR3H"

evaluationSetIdstring

The ID of the evaluation set that this item belongs to.

Example: "ev_2LcgeY_mp2T5yPaEuq5Lw"

fileobject
A summary of the file associated with the evaluation set item.
expectedOutputobject
The expected output that will be used to evaluate the performance of the extractor, classifier, or splitter associated with the evaluation set. This must conform to the output schema of the entity associated with the evaluation set.

Errors

400
Bad Request Error
401
Unauthorized Error
402
Payment Required Error
403
Forbidden Error
404
Not Found Error
422
Unprocessable Entity Error
429
Too Many Requests Error
500
Internal Server Error

API version to use for the request. If you’re using an SDK, you can ignore this parameter. If you are not using an SDK and do not specify a version, you will either receive a 400 Bad Request or be set to a previous legacy version. See API Versioning for more details.

The workspace ID to target. Required when using an organization-scoped API key; optional for workspace-scoped keys (the key is already tied to a workspace). See Authentication for details on API key scopes.